# Class CIM_PackageInSlot
extends CIM_PackageInConnector

Complex networking devices often are Chassis-based. These Chassis allow for enhancement and/or augmentation of their base functionality by accepting additional Chassis devices, similar to accepting functionality in the form of adding Cards. This association models this capability.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ElementInConnector
|
+--CIM_PackageInConnector
|
+--CIM_PackageInSlot

## Direct Known Subclasses

CIM_CardInSlot

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Complex networking devices often are Chassis-based. These Chassis allow for enhancement and/or augmentation of their base functionality by accepting additional Chassis devices, similar to accepting functionality in the form of adding Cards. This association models this capability.
UMLPackagePath | string | CIM::Physical::Connector
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PackageInSlot | CIM_Slot
Dependent | CIM_PackageInSlot | CIM_PhysicalPackage

## Class Methods